Sync export storage

Sync tasks from an S3 export storage connection.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired

Response

created_atdatetimeRead-only
Creation time
idintegerRead-only
projectinteger
A unique integer value identifying this project.
typestringRead-onlyDefaults to s3
aws_access_key_idstring or null

AWS_ACCESS_KEY_ID

aws_secret_access_keystring or null

AWS_SECRET_ACCESS_KEY

aws_session_tokenstring or null

AWS_SESSION_TOKEN

aws_sse_kms_key_idstring or null
AWS SSE KMS Key ID
bucketstring or null
S3 bucket name
can_delete_objectsboolean or null
Deletion from storage enabled
descriptionstring or null
Cloud storage description
last_syncdatetime or null
Last sync finished time
last_sync_countinteger or null0-2147483647
Count of tasks synced last time
last_sync_jobstring or null<=256 characters
Last sync job ID
metaany or null
Meta and debug information about storage processes
prefixstring or null
S3 bucket prefix
regex_filterstring or null
Cloud storage regex for filtering objects
region_namestring or null
AWS Region
s3_endpointstring or null
S3 Endpoint
statusenum or null
* `initialized` - Initialized * `queued` - Queued * `in_progress` - In progress * `failed` - Failed * `completed` - Completed * `completed_with_errors` - Completed with errors
synchronizableboolean or nullDefaults to true
titlestring or null<=256 characters
Cloud storage title
tracebackstring or null
Traceback report for the last failed sync
use_blob_urlsboolean or null
Interpret objects as BLOBs and generate URLs